Bug 10571 - IntranetBiblioDefaultView doesn't do anything with MARC21 XSLT
Summary: IntranetBiblioDefaultView doesn't do anything with MARC21 XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 12561
  Show dependency treegraph
 
Reported: 2013-07-11 00:53 UTC by Jared Camins-Esakov
Modified: 2015-06-04 23:32 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10571 - IntranetBiblioDefaultView doesn't do anything with MARC21 XSLT (3.45 KB, patch)
2014-07-14 17:13 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED.OFF] Bug 10571 - IntranetBiblioDefaultView doesn't do anything with MARC21 XSLT (3.54 KB, patch)
2014-08-09 14:28 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 10571 - IntranetBiblioDefaultView doesn't do anything with MARC21 XSLT (3.63 KB, patch)
2014-08-17 08:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2013-07-11 00:53:34 UTC
IntranetBiblioDefaultView is not respected by the the MARC21 results XSLT stylesheet. It probably should be, considering that the syspref rather strongly implies that it should impact links in the results view.
Comment 1 Jared Camins-Esakov 2013-07-11 00:57:09 UTC
Actually, I can find no evidence that the syspref does anything at all.
Comment 2 Jared Camins-Esakov 2013-07-11 12:13:51 UTC
One last update. Apparently there is unsafe caching of that syspref specifically, because under Plack the change won't be reflected unless you restart the server, even when the syspref cache is disabled. So the bug is just for the XSLT view.
Comment 3 Gaetan Boisson 2014-03-11 10:59:54 UTC
Could it be linked to bug 8405 - add IntranetBiblioDefaultView and BiblioDefaultView to XSLT.pm?

http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=8405
Comment 4 Owen Leonard 2014-07-14 17:13:31 UTC Comment hidden (obsolete)
Comment 5 Bernardo Gonzalez Kriegel 2014-08-09 14:28:14 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2014-08-17 08:58:17 UTC
Created attachment 30889 [details] [review]
[PASSED QA] Bug 10571 - IntranetBiblioDefaultView doesn't do anything with MARC21 XSLT

The staff client's XSLT results view does not respect the choice set in
the IntranetBiblioDefaultView system preference. This patch adds a check
of the preference to the staff client's results view for MARC21.

To test you must have the staff client configured to use the XSLT view
for search results. Perform any search and test the link to a title's
detail page. Switching the value of the IntranetBiblioDefaultView
preference should be correctly reflected in the search results links.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Work as described, no koha-qa errors.

Only for MARC21 :(

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described, no problems found.
Comment 7 Tomás Cohen Arazi 2014-09-14 05:05:48 UTC
Patch pushed to master.

Thanks Owen!